Memo application for Firefox OS written in Python with Brython
==============================================================

This application is intended to install a hosted webapp for Firefox OS terminals. Instead of Javascript, the application logic is written in Python (script `memos.py`) using [Brython](http://brython.iinfo), a Python 3 implementation written in Javascript with an interface with the DOM

If you are starting development for this OS you should install the latest version of the [Firefox OS simulator](https://developer.mozilla.org/en-US/docs/Tools/Firefox_OS_Simulator)

Clone this repository or use the files in the Downloads section and start the built-in server (`python server.py`). It will start the server on port 8003 ; to choose another port : `python server.py <port>`

The application can be tested in the browser by pointing it to `http://localhost:8003`

To install it on the Firefox OS simulator :

- go the Firefox OS simulator page : Tools / Web developer / App manager (more information : [Using the App Manager](https://developer.mozilla.org/en-US/Firefox_OS/Using_the_App_Manager#Using_a_Firefox_OS_Simulator_Add-on)) and click on "Start simulator".

- in the field "Add Hosted App", enter `http://localhost:8003/manifest.webapp`, then click on "Update". This will install the Memos application on the simulator

Please use the issue tracker if you find bugs ; you can also send feedback on the [Brython group](https://groups.google.com/forum/?fromgroups=#!forum/brython)